Subject: Ticket Assigned - Feedback or suggestions
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 23 Mar 2021 10:39:52 +0000

Hi Mohd Adeel Akhter,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions The workers are very rude, I had bought from homebox shelves and I asked if they finish if it’s ok to repair it he was rude and walked straight away , very bad altitude I will never order from home box again they people you have.  And  on the other hand I had plates before and I called several time and you took it back and came and took it to replace it and after that I called several time and emailed a lot with know replay this is very bad way to do with any costumer. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2279372